package org.jboss.shrinkwrap.descriptor.api.javaee7; 

/**
 * This class implements the <code> ejb-ref-typeType </code> xsd type 
 */
public enum EjbRefTypeType
{
   _ENTITY("Entity"),
   _SESSION("Session");

   private String value;

   EjbRefTypeType (String value) { this.value = value; }

   public String toString() {return value;}

   public static EjbRefTypeType getFromStringValue(String value)
   {
      for(EjbRefTypeType type: EjbRefTypeType.values())
      {
         if(value != null && type.toString().equals(value))
        { return type;}
      }
      return null;
   }

}

